include:
  - project: gitlab-org/frontend/frontend-build-images
    file: /semantic-release/.gitlab-ci-template.yml
  - project: gitlab-org/frontend/untamper-my-lockfile
    file: .gitlab-ci-template.yml

stages:
  - test
  - build
  - publish

build_package:
  stage: build
  image: node:12
  script:
    - yarn install
    - yarn build
  artifacts:
    paths:
      - dist

semantic-release:
  stage: publish
  extends: .semantic-release
  dependencies:
    - build_package

